Valorant API Unofficial docs
POST

Custom Game Membership

Move a player in the custom game lobby to a team, the spectators, or a coach slot.

{team} can be TeamOne, TeamTwo, TeamSpectate, TeamOneCoaches or TeamTwoCoaches.

Internal name Party_CustomGameMembership Server GLZ · region + shard Auth Bearer + Entitlements
POST https://glz-{region}-1.{shard}.a.pvp.net/parties/v1/parties/{party id}/customgamemembership/{team}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

region enum required

na, latam, br, eu, ap or kr.

nalatambreuapkr
How to get it

There are 6 regions:

Region ID Region Name
na North America
latam Latin America
br Brazil
eu Europe
ap Asia Pacific
kr Korea
Obtaining locally:

The region can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

Use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

party id string · uuid required
A party ID. The ID of the current party can be found from the Party Player endpoint.
team enum required

The team to put the player on. One of:

  • TeamOne — Attackers (first team)
  • TeamTwo — Defenders (second team)
  • TeamSpectate — Spectators
  • TeamOneCoaches — Coach slot for TeamOne
  • TeamTwoCoaches — Coach slot for TeamTwo
"TeamOne""TeamTwo""TeamSpectate""TeamOneCoaches""TeamTwoCoaches"

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Body

playerToPutOnTeam string · uuid

Player UUID

Response

ID string · uuid

Party ID

MUCName string
VoiceRoomID string
Version number
ClientVersion string
Members array[object]
Show nested attributes Hide nested attributes 11
Subject string · uuid

Player UUID

CompetitiveTier number
PlayerIdentity object
Show nested attributes Hide nested attributes 7
Subject string · uuid

Player UUID

PlayerCardID string · uuid

Card ID

PlayerTitleID string · uuid

Title ID

AccountLevel number
PreferredLevelBorderID string · uuid | literal

Preferred Level Border ID

Incognito boolean
HideAccountLevel boolean
SeasonalBadgeInfo null
IsOwner boolean optional
QueueEligibleRemainingAccountLevels number
Pings array[object]
Show nested attributes Hide nested attributes 2
Ping number
GamePodID string
IsReady boolean
IsModerator boolean
UseBroadcastHUD boolean
PlatformType literal
State string
PreviousState string
StateTransitionReason string
Accessibility enum
"OPEN""CLOSED"
CustomGameData object
Show nested attributes Hide nested attributes 6
Settings object
Show nested attributes Hide nested attributes 5
Map string

Map ID

Mode string

Game Mode

UseBots boolean
GamePod string
GameRules object nullable
Show nested attributes Hide nested attributes 5
AllowGameModifiers string optional
IsOvertimeWinByTwo string optional
PlayOutAllRounds string optional
SkipMatchHistory string optional
TournamentMode string optional
Membership object
Show nested attributes Hide nested attributes 5
teamOne array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

teamTwo array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

teamSpectate array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

teamOneCoaches array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

teamTwoCoaches array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

MaxPartySize number
AutobalanceEnabled boolean
AutobalanceMinPlayers number
HasRecoveryData boolean
MatchmakingData object
Show nested attributes Hide nested attributes 3
QueueID string

Queue ID

PreferredGamePods array[string]
SkillDisparityRRPenalty number
Invites null
Requests array[any]
QueueEntryTime string

Date in ISO 8601 format

ErrorNotification object
Show nested attributes Hide nested attributes 2
ErrorType string
ErroredPlayers array[object] nullable
Show nested attributes Hide nested attributes 1
Subject string · uuid

Player UUID

RestrictedSeconds number
EligibleQueues array[string]
QueueIneligibilities array[string]
CheatData object
Show nested attributes Hide nested attributes 2
GamePodOverride string
ForcePostGameProcessing boolean
XPBonuses array[any]
InviteCode string

Empty string when there is no invite code